Get a topic's content - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service returns the unstyled HTML content of the targeted topic. The response does not include the topic's title.

Method Endpoint
GET
/api/khub/maps/{mapId}/topics/{contentId}/content
Path parameter Type Description
{mapId} String The map's unique identifier.
{contentId} String The topic's unique identifier.
Query parameter Type Required? Description
format String No Expects the output format. Accepted values are html and markdown. If unspecified, the output format is HTML.
The Markdown content of topics does not include images.
  • It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.
  • The Get a topic's styled content web service offers the styled content of a topic as a complete HTML page. Its response includes the topic title, as well as the full CSS styling of the portal.
  • The topic's children are not included in the response. Use the Get the content of an HTML section web service to get a topic and its children topics.

This web service requires authentication on portals with mandatory authentication.

Example

The following HTML example is from the Audience topic of the Fluid Topics API Reference Guide:

<div class="ft_node_extractor content-locale-en-US content-locale-en">
    <p>Some Fluid Topics web services are available to anyone, including unauthenticated users. These web services
        appear in the
        <span class="ft-internal-link" data-ft-warning="excluded-from-rendering" data-mapid="ENQRHyDq~oYAqQn5tJAjKA" data-tocid="OvnjFy2KyFixbvNyopwbSA">Knowledge Hub web services for everyone</span>
        section. They allow users to receive information about the content of a portal, but not to modify it.</p>
    <p>Many web services are only available to Fluid Topics users who
        <span class="ft-internal-link" data-ft-warning="excluded-from-rendering" data-mapid="ENQRHyDq~oYAqQn5tJAjKA" data-tocid="Ehfg9y7efd8GHksLIAcApg">authenticate</span>
        in the
        <span class="ft-internal-link" data-ft-warning="excluded-from-rendering" data-mapid="ENQRHyDq~oYAqQn5tJAjKA" data-tocid="h8eD5xSa1J2xCYYXEa~Gzw">HTTP header</span>.
    </p>
    <p>For example, administrators can use all web services, including the
        <span class="ft-internal-link" data-ft-warning="excluded-from-rendering" data-mapid="ENQRHyDq~oYAqQn5tJAjKA" data-tocid="Jp~tMwC7Dzn7il0xFD~Ejg">Knowledge Hub web services for administrators</span>.
        These web services allow administrators to modify the content of a portal or its behavior.</p>
    <div class="admonition info">
        <p>Authenticated users can have many different roles (see <a
                href="https://docs.fluidtopics.com/r/Fluid-Topics-User-Guide/User-roles" rel="noopener"
                class="ft-external-link">List of user roles</a>).</p>
    </div>
</div>

The following Markdown example is from the Audience topic of the Fluid Topics API Reference Guide:

Audience
========

Some Fluid Topics web services are available to anyone, including unauthenticated users. These web services appear in the [Knowledge Hub web services for everyone](OvnjFy2KyFixbvNyopwbSA) section. They allow users to receive information about the content of a portal, but not to modify it.

Many web services are only available to Fluid Topics users who [authenticate](Ehfg9y7efd8GHksLIAcApg) in the [HTTP header](h8eD5xSa1J2xCYYXEa~Gzw).

For example, administrators can use all web services, including the [Knowledge Hub web services for administrators](Jp~tMwC7Dzn7il0xFD~Ejg). These web services allow administrators to modify the content of a portal or its behavior.  
Authenticated users can have many different roles (see [List of user roles](https://docs.fluidtopics.com/r/Fluid-Topics-User-Guide/User-roles)).

Fluid Topics does not render cross-document links and internal links pointing outside of the topic in the response.
With internal links:

  • In the HTML content of the topic, it is possible to recreate them using the data-mapid and data-tocid values, as follows:

    Portal URL + /r/ + data-mapid value + / + data-tocid value
    
  • In the Markdown content of the topic, the URL of Markdown links is the TOC ID value.

With cross-document links, it is possible to recreate them using the data-clusterid value as part of a deep link.